#ifndef RT_MAIN_LOOP_H
#define RT_MAIN_LOOP_H

#include "runtime.h"
#include "threading.h"

typedef struct {
    int u_frame_id;
    int r_frame_id;

    rt_semaphore update_proceed;
    rt_semaphore render_proceed;

    rt_thread *update_thread;
    rt_thread *render_thread;

    volatile int shutdown;
} rt_main_loop;

/* The applications main-loop */
extern RT_DLLIMPORT rt_main_loop g_main_loop;

RT_DLLEXPORT rt_result rtInitMainLoop(void);

RT_DLLEXPORT void rtShutdownMainLoop(void);

#endif
